# Generated from peatio-infura-0.1.72.gem by gem2rpm -*- rpm-spec -*-
%global gem_name peatio-infura

Name: rubygem-%{gem_name}
Version: 0.1.72
Release: 1%{?dist}
Summary: Gem for extending Peatio plugable system with Infura implementation
License: MIT
URL: https://github.com/irmaster/Peatio-Infura
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(mocha) >= 1.8
# BuildRequires: rubygem(mocha) < 2
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(webmock) >= 3.5
# BuildRequires: rubygem(webmock) < 4
BuildArch: noarch

%description
Infura Peatio gem which implements Peatio::Blockchain::Abstract &
Peatio::Wallet::Abstract.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rakeTasks
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/peatio-infura.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.72-1
- Initial package
